<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
   "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../../general.ent">
  %general-entities;

  <!ENTITY at-spi2-core-download-http
           "&gnome-download-http;/at-spi2-core/2.54/at-spi2-core-&at-spi2-core-version;.tar.xz">
  <!ENTITY at-spi2-core-download-ftp  " ">
  <!ENTITY at-spi2-core-md5sum        "a05ad6cf4a49b19964cc5eec363d2310">
  <!ENTITY at-spi2-core-size          "564 KB">
  <!ENTITY at-spi2-core-buildsize     "24 MB (with tests)">
  <!ENTITY at-spi2-core-time          "0.2 SBU (with tests)">
]>

<sect1 id="at-spi2-core" xreflabel="at-spi2-core-&at-spi2-core-version;">
  <?dbhtml filename="at-spi2-core.html"?>


  <title>at-spi2-core-&at-spi2-core-version;</title>

  <indexterm zone="at-spi2-core">
    <primary sortas="a-at-spi2-core">at-spi2-core</primary>
  </indexterm>

  <sect2 role="package">
    <title>Introduction to At-Spi2 Core</title>

    <para>
      The <application>At-Spi2 Core</application> package contains a
      comprehensive accessibility framework for the Assistive Technologies
      available on the <application>GNOME</application> platform. This includes
      a set of interfaces which are implemented by other toolkits and
      applications.
    </para>

    &lfs122_checked;

    <bridgehead renderas="sect3">Package Information</bridgehead>
    <itemizedlist spacing="compact">
      <listitem>
        <para>
          Download (HTTP): <ulink url="&at-spi2-core-download-http;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download (FTP): <ulink url="&at-spi2-core-download-ftp;"/>
        </para>
      </listitem>
      <listitem>
        <para>
          Download MD5 sum: &at-spi2-core-md5sum;
        </para>
      </listitem>
      <listitem>
        <para>
          Download size: &at-spi2-core-size;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated disk space required: &at-spi2-core-buildsize;
        </para>
      </listitem>
      <listitem>
        <para>
          Estimated build time: &at-spi2-core-time;
        </para>
      </listitem>
    </itemizedlist>

    <bridgehead renderas="sect3">At-Spi2 Core Dependencies</bridgehead>

    <bridgehead renderas="sect4">Required</bridgehead>
    <para role="required">
      <xref linkend="dbus"/>,
      <xref linkend="glib2"/> (GObject Introspection required for GNOME),
      <!-- Reports "Cannot get the default GSettingsSchemaSource" on
           startup w/o it. -->
      <xref role="runtime" linkend="gsettings-desktop-schemas"/> (Runtime),
      and <xref linkend="xorg7-lib"/>
    </para>

    <bridgehead renderas="sect4">Optional</bridgehead>
    <para role="optional">
      <xref linkend="gi-docgen"/> and <xref linkend='sphinx'/>
    </para>

  </sect2>

  <sect2 role="installation">
    <title>Installation of At-Spi2 Core</title>

    <para>
      Install <application>At-Spi2 Core</application> by running the following
      commands:
    </para>

<screen revision="sysv"><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup ..            \
      --prefix=/usr       \
      --buildtype=release \
      -D systemd_user_dir=/tmp &amp;&amp;
ninja</userinput></screen>

<screen revision="systemd"><userinput>mkdir build &amp;&amp;
cd    build &amp;&amp;

meson setup --prefix=/usr --buildtype=release .. &amp;&amp;
ninja</userinput></screen>

    <para>
      Now, as the <systemitem class="username">root</systemitem> user:
    </para>

<screen role="root" revision="systemd"><userinput>ninja install</userinput></screen>
<screen role="root" revision="sysv"><userinput>ninja install &amp;&amp;
rm /tmp/at-spi-dbus-bus.service</userinput></screen>

    <para>
      The test suite requires the glib schemas of the package to be
      installed already. The tests also need to run in a graphical
      environment. Now that the package is installed, test the results
      by issuing: <command>dbus-run-session ninja test</command>.
    </para>

  </sect2>

  <sect2 role="commands">
    <title>Command Explanations</title>

    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
      href="../../xincludes/meson-buildtype-release.xml"/>

    <para revision="sysv">
      <parameter>-D systemd_user_dir=/tmp</parameter>: This flag puts the
      systemd unit file in /tmp where it will be removed. SysV is unable to
      use this file.
    </para>

    <para>
      <option>-D docs=true</option>: Use this switch if you want to build the
      documentation. Note that you must have both
      <xref role="nodep" linkend="gi-docgen"/>
      and <xref linkend='sphinx'/> installed on your system.
    </para>

    <!-- For when we remove gtk2 from the book:
    <para>
      <parameter>-D gtk2_atk_adaptor=false</parameter>: This switch disables
      building the GTK+-2 module for this package.
    </para>
    -->

  </sect2>

  <sect2 role="content">
    <title>Contents</title>

    <segmentedlist>
      <segtitle>Installed Programs</segtitle>
      <segtitle>Installed Library</segtitle>
      <segtitle>Installed Directories</segtitle>

      <seglistitem>
        <!-- <seg> No user executable programs
          at-spi-bus-launcher and at-spi2-registryd in /usr/libexec
        </seg> -->
        <seg>
          None
        </seg>
        <seg>
          libatk-1.0.so,
          libatk-bridge-2.0.so,
          libatspi.so, and
          /usr/lib/gtk-2.0/modules/libatk-bridge.so
        </seg>
        <seg>
          /usr/include/atk-1.0,
          /usr/include/at-spi-2.0,
          /usr/include/at-spi2-atk,
          /usr/lib/gnome-settings-daemon-3.0,
          /usr/share/defaults/at-spi2, and
          /usr/share/gtk-doc/html/libatspi (optional)
        </seg>
      </seglistitem>
    </segmentedlist>

    <variablelist>
      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
      <?dbfo list-presentation="list"?>
      <?dbhtml list-presentation="table"?>

    <!-- Not user executable programs
      <varlistentry id="at-spi2-registryd">
        <term><command>at-spi2-registryd</command></term>
        <listitem>
          <para>
            is the <application>At-Spi2</application> registry daemon.
          </para>
          <indexterm zone="at-spi2-core at-spi2-registryd">
            <primary sortas="b-at-spi2-registryd">at-spi2-registryd</primary>
          </indexterm>
        </listitem>
      </varlistentry>
    -->

      <varlistentry id="libatk-1.0">
        <term><filename class="libraryfile">libatk-1.0.so</filename></term>
        <listitem>
          <para>
            contains functions that are used by assistive technologies to
            interact with desktop applications
          </para>
          <indexterm zone="at-spi2-core libatk-1.0">
            <primary sortas="c-libatk-1.0">libatk-1.0.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libatk-bridge">
        <term><filename class="libraryfile">libatk-bridge.so</filename></term>
        <listitem>
          <para>
            contains the Accessibility Toolkit GTK+-2 bridge
          </para>
          <indexterm zone="at-spi2-core libatk-bridge">
            <primary sortas="c-libatk-bridge">libatk-bridge.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libatk-bridge-2.0">
        <term><filename class="libraryfile">libatk-bridge-2.0.so</filename></term>
        <listitem>
          <para>
            contains the Accessibility Toolkit GTK+ module
          </para>
          <indexterm zone="at-spi2-core libatk-bridge-2.0">
            <primary sortas="c-libatk-bridge-2.0">libatk-bridge-2.0.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

      <varlistentry id="libatspi">
        <term><filename class="libraryfile">libatspi.so</filename></term>
        <listitem>
          <para>
            contains the <application>At-Spi2</application> API functions
          </para>
          <indexterm zone="at-spi2-core libatspi">
            <primary sortas="c-libatspi">libatspi.so</primary>
          </indexterm>
        </listitem>
      </varlistentry>

    </variablelist>

  </sect2>

</sect1>
